Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Interface Invitee

    public interface Invitee

Represents a single Invitee. Users of the Communities framework are expected to create and populate Invitee instances for use by Inviters to do the actual work of sending an invitation via some communications channel. The wlsUserName portion of the Invitee may be null in cases where the Invitee represents an external user. In this case, the messagingAddress field must be populated with sufficient addressing information for an Inviter to send a communication separate from the WLS username. The exact requirements from Inviter implementations as to whether or not WLS username or the messaging address are required will vary depending on the actual needs of the Inviter's communication mechanism. The invitePasswd field should be populated by all users of the Communities Invitations framework, as it is used by

Method Summary
`Object` | `getAttribute(String attrName)` For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`.
`Iterator<MembershipCapability>` | `getInviteCapabilities()` Gets an Iterator that can be used to enumerate all of the `MembershipCapabilities` that should apply to this `Invitee`.
`InviteeId` | `getInviteeId()` Gets the unigue `InviteeId` that is assigned by the Communities Invitations framework to this `Invitee`
`MessagingAddress` | `getMessagingAddress()` Gets a MessagingAddress for use in routing the invitation.
`String` | `getValidationText()` Gets the password assigned by the Communities Invitations framework for this invitation, so that `CommunityInviter` implementors can provide the password in the communication to the `Invitee`.
`String` | `getWlsUserName()` Gets the WLS username for the invitee, if the invitation is directed to an existing WLS user.
`void` | `setAttribute(String attrName, Object value)` For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`.
`void` | `setAttributes(Map<String,Object> attributeMap)` For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`.
`void` | `setPersistedAttribute(String attrName, String value)` Sets an attribute that will be persisted along with the `Invitation` that is created for an `Invitee`.
`void` | `setPersistedAttributes(Map<String,String> attributeMap)` For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`.

Method Detail

### getInviteeId

    InviteeId getInviteeId()

  Gets the unigue `InviteeId` that is assigned by the Communities Invitations framework to this `Invitee`

  Returns

### getWlsUserName

    String getWlsUserName()

  Gets the WLS username for the invitee, if the invitation is directed to an existing WLS user. May be null if inviting external users.

  Returns
    the WLS username for this `Invitee`. May be null.

### getMessagingAddress

    MessagingAddress getMessagingAddress()

  Gets a MessagingAddress for use in routing the invitation. May be null if the WLS username is not null. Specific `CommunityInviter` implementations may use this field as appropriate, but may use the WLS username instead to perform their own lookup of MessagingAddresses as needed.

  Returns
    the `MessagingAddress` for this `Invitee`. May be null.

### getValidationText

    String getValidationText()

  Gets the password assigned by the Communities Invitations framework for this invitation, so that `CommunityInviter` implementors can provide the password in the communication to the `Invitee`. The password is necessary later on in the process when the `Invitee` chooses to either accept or decline an invitation.

  Returns
    the invitation password for this `Invitee`

### getInviteCapabilities

    Iterator<MembershipCapability> getInviteCapabilities()

  Gets an Iterator that can be used to enumerate all of the `MembershipCapabilities` that should apply to this `Invitee`. If there are no specified `MembershipCapabilities` for this `Invitee`, this returns null.

  Returns

### getAttribute

    Object getAttribute(String attrName)

  For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`. To make full use of this, both the source Communities application and the `CommunityInviter` must follow the same convention for attribute names and value types.

  Parameters
    `attrName` - the name of the attribute to get
  Returns

### setAttribute

    void setAttribute(String attrName,
                      Object value)

  For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`. To make full use of this, both the source Communities application and the `CommunityInviter` must follow the same convention for attribute names and value types. Attributes set in this manner are not persisted along with the `Invitation` and are only available to the set of `Inviters` used for the invitation operation.

  Parameters
    `attrName` - the name of the attribute to set
    `value` - the value of the attribute to set

### setPersistedAttribute

    void setPersistedAttribute(String attrName,
                               String value)

  Sets an attribute that will be persisted along with the `Invitation` that is created for an `Invitee`. This attribute will then be available to both the set of `Inviters` used for the invitation operation as well as to the application that uses and consumes the `Invitation`. Note that the property value should have limited lenght, 400 characters by default, and is stored in the PF_INVITEE_PROPERTY.PROPERTY_VALUE database column.

  Parameters
    `attrName` -
    `value` -

### setAttributes

    void setAttributes(Map<String,Object> attributeMap)

  For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`. To make full use of this, both the source Communities application and the `CommunityInviter` must follow the same convention for attribute names and value types. This method adds all attributes from a supplied Map. Attributes set in this manner are not persisted along with the `Invitation` and are only available to the set of `Inviters` used for the invitation operation.

  Parameters
    `attributeMap` - a `Map` containing attributes to set in bulk

### setPersistedAttributes

    void setPersistedAttributes(Map<String,String> attributeMap)

  For `CommunityInviter` implementations that need additional data above and beyond the WLS username and messaging address provided for by the basic `Invitee` interface, an attribute map is provided to allow arbitrary key/value pairs to be associated with each `Invitee`. To make full use of this, both the source Communities application and the `CommunityInviter` must follow the same convention for attribute names and value types. This method adds all attributes from a supplied Map. Attributes set in this manner are persisted along with the `Invitation` and are available to both the set of `Inviters` used for the invitation operation and o the application that uses and consumes the `Invitation`. Note that the property value should have limited lenght, 400 characters by default, and is stored in the PF_INVITEE_PROPERTY.PROPERTY_VALUE database column.

  Parameters
    `attributeMap` - a `Map` containing attributes to set in bulk

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved